## re2 20170101+dfsg

=== CMakeLists.txt ===
# Copyright 2015 The RE2 Authors.  All Rights Reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# Old enough to support Ubuntu Trusty.
cmake_minimum_required(VERSION 2.8.12)

project(RE2 CXX)
include(CTest)

option(BUILD_SHARED_LIBS "build shared libraries" OFF)
option(USEPCRE "use PCRE in tests and benchmarks" OFF)

set(EXTRA_TARGET_LINK_LIBRARIES)

if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
  if(MSVC_VERSION LESS 1800)
    message(FATAL_ERROR "you need Visual Studio 2013 or later")
  endif()
  if(BUILD_SHARED_LIBS)
    # See http://www.kitware.com/blog/home/post/939 for details.
    cmake_minimum_required(VERSION 3.4)
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
  endif()
elseif(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
  add_compile_options(-std=c++11)
endif()

if(WIN32)
  add_definitions(-DUNICODE -D_UNICODE -DSTRICT -DNOMINMAX)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
elseif(UNIX)
  add_compile_options(-pthread)
  list(APPEND EXTRA_TARGET_LINK_LIBRARIES -pthread)
endif()

if(USEPCRE)
  add_definitions(-DUSEPCRE)
  list(APPEND EXTRA_TARGET_LINK_LIBRARIES pcre)
endif()

include_directories(${CMAKE_SOURCE_DIR})

set(RE2_SOURCES
    re2/bitstate.cc
    re2/compile.cc
    re2/dfa.cc
    re2/filtered_re2.cc
    re2/mimics_pcre.cc
    re2/nfa.cc
    re2/onepass.cc
    re2/parse.cc
    re2/perl_groups.cc
    re2/prefilter.cc
    re2/prefilter_tree.cc
    re2/prog.cc
    re2/re2.cc
    re2/regexp.cc
    re2/set.cc
    re2/simplify.cc
    re2/stringpiece.cc
    re2/tostring.cc
    re2/unicode_casefold.cc
    re2/unicode_groups.cc
    util/rune.cc
    util/strutil.cc
    )

add_library(re2 ${RE2_SOURCES})

set(TESTING_SOURCES
    re2/testing/backtrack.cc
    re2/testing/dump.cc
    re2/testing/exhaustive_tester.cc
    re2/testing/null_walker.cc
    re2/testing/regexp_generator.cc
    re2/testing/string_generator.cc
    re2/testing/tester.cc
    util/pcre.cc
    )

add_library(testing STATIC ${TESTING_SOURCES})

set(TEST_TARGETS
    charclass_test
    compile_test
    filtered_re2_test
    mimics_pcre_test
    parse_test
    possible_match_test
    re2_test
    re2_arg_test
    regexp_test
    required_prefix_test
    search_test
    set_test
    simplify_test
    string_generator_test

    dfa_test
    exhaustive1_test
    exhaustive2_test
    exhaustive3_test
    exhaustive_test
    random_test
    )

set(BENCHMARK_TARGETS
    regexp_benchmark
    )

foreach(target ${TEST_TARGETS})
  add_executable(${target} re2/testing/${target}.cc util/test.cc)
  target_link_libraries(${target} testing re2 ${EXTRA_TARGET_LINK_LIBRARIES})
  add_test(NAME ${target} COMMAND ${target})
endforeach(target)

foreach(target ${BENCHMARK_TARGETS})
  add_executable(${target} re2/testing/${target}.cc util/benchmark.cc)
  target_link_libraries(${target} testing re2 ${EXTRA_TARGET_LINK_LIBRARIES})
endforeach(target)

set(RE2_HEADERS
    re2/filtered_re2.h
    re2/re2.h
    re2/set.h
    re2/stringpiece.h
    )

install(FILES ${RE2_HEADERS} DESTINATION include/re2)
install(TARGETS re2 ARCHIVE DESTINATION lib LIBRARY DESTINATION lib RUNTIME DESTINATION bin)

=== Makefile ===
# Copyright 2009 The RE2 Authors.  All Rights Reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# To build against ICU for full Unicode properties support,
# uncomment the next two lines:
# CCICU=$(shell pkg-config icu-uc --cflags) -DRE2_USE_ICU
# LDICU=$(shell pkg-config icu-uc --libs)

# To build against PCRE for testing or benchmarking,
# uncomment the next two lines:
# CCPCRE=-I/usr/local/include -DUSEPCRE
# LDPCRE=-L/usr/local/lib -lpcre

CXX?=g++
# can override
CXXFLAGS?=-O3 -g
LDFLAGS?=
# required
RE2_CXXFLAGS?=-std=c++11 -pthread -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -I. $(CCICU) $(CCPCRE)
RE2_LDFLAGS?=-pthread $(LDICU) $(LDPCRE)
AR?=ar
ARFLAGS?=rsc
NM?=nm
NMFLAGS?=-p

# Variables mandated by GNU, the arbiter of all good taste on the internet.
# http://www.gnu.org/prep/standards/standards.html
prefix=/usr/local
exec_prefix=$(prefix)
includedir=$(prefix)/include
libdir=$(exec_prefix)/lib
INSTALL=install
INSTALL_DATA=$(INSTALL) -m 644

# Work around the weirdness of sed(1) on Darwin. :/
ifeq ($(shell uname),Darwin)
SED_INPLACE=sed -i ''
else ifeq ($(shell uname),SunOS)
SED_INPLACE=sed -i
else
SED_INPLACE=sed -i
endif

# ABI version
# http://tldp.org/HOWTO/Program-Library-HOWTO/shared-libraries.html
SONAME=0

# To rebuild the Tables generated by Perl and Python scripts (requires Internet
# access for Unicode data), uncomment the following line:
# REBUILD_TABLES=1

# The SunOS linker does not support wildcards. :(
ifeq ($(shell uname),Darwin)
SOEXT=dylib
SOEXTVER=$(SONAME).$(SOEXT)
SOEXTVER00=$(SONAME).0.0.$(SOEXT)
MAKE_SHARED_LIBRARY=$(CXX) -dynamiclib -Wl,-install_name,@rpath/libre2.$(SOEXTVER),-exported_symbols_list,libre2.symbols.darwin $(RE2_LDFLAGS) $(LDFLAGS)
else ifeq ($(shell uname),SunOS)
SOEXT=so
SOEXTVER=$(SOEXT).$(SONAME)
SOEXTVER00=$(SOEXT).$(SONAME).0.0
MAKE_SHARED_LIBRARY=$(CXX) -shared -Wl,-soname,libre2.$(SOEXTVER) $(RE2_LDFLAGS) $(LDFLAGS)
else
SOEXT=so
SOEXTVER=$(SOEXT).$(SONAME)
SOEXTVER00=$(SOEXT).$(SONAME).0.0
MAKE_SHARED_LIBRARY=$(CXX) -shared -Wl,-soname,libre2.$(SOEXTVER),--version-script,libre2.symbols $(RE2_LDFLAGS) $(LDFLAGS)
endif

all: obj/libre2.a obj/so/libre2.$(SOEXT)

INSTALL_HFILES=\
	re2/filtered_re2.h\
	re2/re2.h\
	re2/set.h\
	re2/stringpiece.h\

HFILES=\
	util/benchmark.h\
	util/flags.h\
	util/logging.h\
	util/mix.h\
	util/mutex.h\
	util/pcre.h\
	util/sparse_array.h\
	util/sparse_set.h\
	util/strutil.h\
	util/test.h\
	util/utf.h\
	util/util.h\
	re2/bitmap256.h\
	re2/filtered_re2.h\
	re2/prefilter.h\
	re2/prefilter_tree.h\
	re2/prog.h\
	re2/re2.h\
	re2/regexp.h\
	re2/set.h\
	re2/stringpiece.h\
	re2/testing/exhaustive_tester.h\
	re2/testing/regexp_generator.h\
	re2/testing/string_generator.h\
	re2/testing/tester.h\
	re2/unicode_casefold.h\
	re2/unicode_groups.h\
	re2/walker-inl.h\

OFILES=\
	obj/util/rune.o\
	obj/util/strutil.o\
	obj/re2/bitstate.o\
	obj/re2/compile.o\
	obj/re2/dfa.o\
	obj/re2/filtered_re2.o\
	obj/re2/mimics_pcre.o\
	obj/re2/nfa.o\
	obj/re2/onepass.o\
	obj/re2/parse.o\
	obj/re2/perl_groups.o\
	obj/re2/prefilter.o\
	obj/re2/prefilter_tree.o\
	obj/re2/prog.o\
	obj/re2/re2.o\
	obj/re2/regexp.o\
	obj/re2/set.o\
	obj/re2/simplify.o\
	obj/re2/stringpiece.o\
	obj/re2/tostring.o\
	obj/re2/unicode_casefold.o\
	obj/re2/unicode_groups.o\

TESTOFILES=\
	obj/util/pcre.o\
	obj/re2/testing/backtrack.o\
	obj/re2/testing/dump.o\
	obj/re2/testing/exhaustive_tester.o\
	obj/re2/testing/null_walker.o\
	obj/re2/testing/regexp_generator.o\
	obj/re2/testing/string_generator.o\
	obj/re2/testing/tester.o\

TESTS=\
	obj/test/charclass_test\
	obj/test/compile_test\
	obj/test/filtered_re2_test\
	obj/test/mimics_pcre_test\
	obj/test/parse_test\
	obj/test/possible_match_test\
	obj/test/re2_test\
	obj/test/re2_arg_test\
	obj/test/regexp_test\
	obj/test/required_prefix_test\
	obj/test/search_test\
	obj/test/set_test\
	obj/test/simplify_test\
	obj/test/string_generator_test\

BIGTESTS=\
	obj/test/dfa_test\
	obj/test/exhaustive1_test\
	obj/test/exhaustive2_test\
	obj/test/exhaustive3_test\
	obj/test/exhaustive_test\
	obj/test/random_test\

SOFILES=$(patsubst obj/%,obj/so/%,$(OFILES))
# We use TESTOFILES for testing the shared lib, only it is built differently.
STESTS=$(patsubst obj/%,obj/so/%,$(TESTS))
SBIGTESTS=$(patsubst obj/%,obj/so/%,$(BIGTESTS))

DOFILES=$(patsubst obj/%,obj/dbg/%,$(OFILES))
DTESTOFILES=$(patsubst obj/%,obj/dbg/%,$(TESTOFILES))
DTESTS=$(patsubst obj/%,obj/dbg/%,$(TESTS))
DBIGTESTS=$(patsubst obj/%,obj/dbg/%,$(BIGTESTS))

obj/%.o: %.cc $(HFILES)
	@mkdir -p $$(dirname $@)
	$(CXX) -c -o $@ $(CPPFLAGS) $(RE2_CXXFLAGS) $(CXXFLAGS) -DNDEBUG $*.cc

obj/dbg/%.o: %.cc $(HFILES)
	@mkdir -p $$(dirname $@)
	$(CXX) -c -o $@ $(CPPFLAGS) $(RE2_CXXFLAGS) $(CXXFLAGS) $*.cc

obj/so/%.o: %.cc $(HFILES)
	@mkdir -p $$(dirname $@)
	$(CXX) -c -o $@ -fPIC $(CPPFLAGS) $(RE2_CXXFLAGS) $(CXXFLAGS) -DNDEBUG $*.cc

obj/libre2.a: $(OFILES)
	@mkdir -p obj
	$(AR) $(ARFLAGS) obj/libre2.a $(OFILES)

obj/dbg/libre2.a: $(DOFILES)
	@mkdir -p obj/dbg
	$(AR) $(ARFLAGS) obj/dbg/libre2.a $(DOFILES)

obj/so/libre2.$(SOEXT): $(SOFILES)
	@mkdir -p obj/so
	$(MAKE_SHARED_LIBRARY) -o obj/so/libre2.$(SOEXTVER) $(SOFILES)
	ln -sf libre2.$(SOEXTVER) $@

obj/dbg/test/%: obj/dbg/libre2.a obj/dbg/re2/testing/%.o $(DTESTOFILES) obj/dbg/util/test.o
	@mkdir -p obj/dbg/test
	$(CXX) -o $@ obj/dbg/re2/testing/$*.o $(DTESTOFILES) obj/dbg/util/test.o obj/dbg/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)

obj/test/%: obj/libre2.a obj/re2/testing/%.o $(TESTOFILES) obj/util/test.o
	@mkdir -p obj/test
	$(CXX) -o $@ obj/re2/testing/$*.o $(TESTOFILES) obj/util/test.o obj/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)

# Test the shared lib, falling back to the static lib for private symbols
obj/so/test/%: obj/so/libre2.$(SOEXT) obj/libre2.a obj/re2/testing/%.o $(TESTOFILES) obj/util/test.o
	@mkdir -p obj/so/test
	$(CXX) -o $@ obj/re2/testing/$*.o $(TESTOFILES) obj/util/test.o -Lobj/so -lre2 obj/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)

obj/test/regexp_benchmark: obj/libre2.a obj/re2/testing/regexp_benchmark.o $(TESTOFILES) obj/util/benchmark.o
	@mkdir -p obj/test
	$(CXX) -o $@ obj/re2/testing/regexp_benchmark.o $(TESTOFILES) obj/util/benchmark.o obj/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)

# re2_fuzzer is a target for fuzzers like libFuzzer and AFL. This fake fuzzing
# is simply a way to check that the target builds and then to run it against a
# fixed set of inputs. To perform real fuzzing, refer to the documentation for
# libFuzzer (llvm.org/docs/LibFuzzer.html) and AFL (lcamtuf.coredump.cx/afl/).
obj/test/re2_fuzzer: obj/libre2.a obj/re2/fuzzing/re2_fuzzer.o obj/util/fuzz.o
	@mkdir -p obj/test
	$(CXX) -o $@ obj/re2/fuzzing/re2_fuzzer.o obj/util/fuzz.o obj/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)

ifdef REBUILD_TABLES
re2/perl_groups.cc: re2/make_perl_groups.pl
	perl $< > $@

re2/unicode_%.cc: re2/make_unicode_%.py
	python $< > $@

.PRECIOUS: re2/perl_groups.cc re2/unicode_casefold.cc re2/unicode_groups.cc
endif

distclean: clean
	rm -f re2/perl_groups.cc re2/unicode_casefold.cc re2/unicode_groups.cc

clean:
	rm -rf obj
	rm -f re2/*.pyc

testofiles: $(TESTOFILES)

test: $(DTESTS) $(TESTS) $(STESTS) debug-test static-test shared-test

debug-test: $(DTESTS)
	@echo
	@echo Running debug binary tests.
	@echo
	@./runtests $(DTESTS)

static-test: $(TESTS)
	@echo
	@echo Running static binary tests.
	@echo
	@./runtests $(TESTS)

shared-test: $(STESTS)
	@echo
	@echo Running dynamic binary tests.
	@echo
	@LD_LIBRARY_PATH=obj/so:$(LD_LIBRARY_PATH) ./runtests $(STESTS)

debug-bigtest: $(DTESTS) $(DBIGTESTS)
	@./runtests $(DTESTS) $(DBIGTESTS)

static-bigtest: $(TESTS) $(BIGTESTS)
	@./runtests $(TESTS) $(BIGTESTS)

shared-bigtest: $(STESTS) $(SBIGTESTS)
	@LD_LIBRARY_PATH=obj/so:$(LD_LIBRARY_PATH) ./runtests $(STESTS) $(SBIGTESTS)

benchmark: obj/test/regexp_benchmark

fuzz: obj/test/re2_fuzzer

install: obj/libre2.a obj/so/libre2.$(SOEXT)
	mkdir -p $(DESTDIR)$(includedir)/re2 $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL_DATA) $(INSTALL_HFILES) $(DESTDIR)$(includedir)/re2
	$(INSTALL) obj/libre2.a $(DESTDIR)$(libdir)/libre2.a
	$(INSTALL) obj/so/libre2.$(SOEXT) $(DESTDIR)$(libdir)/libre2.$(SOEXTVER00)
	ln -sf libre2.$(SOEXTVER00) $(DESTDIR)$(libdir)/libre2.$(SOEXTVER)
	ln -sf libre2.$(SOEXTVER00) $(DESTDIR)$(libdir)/libre2.$(SOEXT)
	$(INSTALL_DATA) re2.pc $(DESTDIR)$(libdir)/pkgconfig/re2.pc
	$(SED_INPLACE) -e "s#@prefix@#${prefix}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
	$(SED_INPLACE) -e "s#@exec_prefix@#${exec_prefix}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
	$(SED_INPLACE) -e "s#@includedir@#${includedir}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
	$(SED_INPLACE) -e "s#@libdir@#${libdir}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc

testinstall: static-testinstall shared-testinstall
	@echo
	@echo Install tests passed.
	@echo

static-testinstall: CXXFLAGS:=-std=c++11 -pthread -I$(DESTDIR)$(includedir) $(CXXFLAGS)
static-testinstall: LDFLAGS:=-pthread -L$(DESTDIR)$(libdir) -l:libre2.a $(LDICU) $(LDFLAGS)
static-testinstall:
	@mkdir -p obj
	@cp testinstall.cc obj
ifeq ($(shell uname),Darwin)
	@echo Skipping test for libre2.a on Darwin.
else ifeq ($(shell uname),SunOS)
	@echo Skipping test for libre2.a on SunOS.
else
	(cd obj && $(CXX) testinstall.cc -o testinstall $(CXXFLAGS) $(LDFLAGS))
	obj/testinstall
endif

shared-testinstall: CXXFLAGS:=-std=c++11 -pthread -I$(DESTDIR)$(includedir) $(CXXFLAGS)
shared-testinstall: LDFLAGS:=-pthread -L$(DESTDIR)$(libdir) -lre2 $(LDICU) $(LDFLAGS)
shared-testinstall:
	@mkdir -p obj
	@cp testinstall.cc obj
	(cd obj && $(CXX) testinstall.cc -o testinstall $(CXXFLAGS) $(LDFLAGS))
	LD_LIBRARY_PATH=$(DESTDIR)$(libdir) obj/testinstall

benchlog: obj/test/regexp_benchmark
	(echo '==BENCHMARK==' `hostname` `date`; \
	  (uname -a; $(CXX) --version; git rev-parse --short HEAD; file obj/test/regexp_benchmark) | sed 's/^/# /'; \
	  echo; \
	  ./obj/test/regexp_benchmark 'PCRE|RE2') | tee -a benchlog.$$(hostname | sed 's/\..*//')

# Keep gmake from deleting intermediate files it creates.
# This makes repeated builds faster and preserves debug info on OS X.

.PRECIOUS: obj/%.o obj/dbg/%.o obj/so/%.o obj/libre2.a \
	obj/dbg/libre2.a obj/so/libre2.a \
	obj/test/% obj/so/test/% obj/dbg/test/%

log:
	$(MAKE) clean
	$(MAKE) CXXFLAGS="$(CXXFLAGS) -DLOGGING=1" \
		$(filter obj/test/exhaustive%_test,$(BIGTESTS))
	echo '#' RE2 exhaustive tests built by make log >re2-exhaustive.txt
	echo '#' $$(date) >>re2-exhaustive.txt
	obj/test/exhaustive_test |grep -v '^PASS$$' >>re2-exhaustive.txt
	obj/test/exhaustive1_test |grep -v '^PASS$$' >>re2-exhaustive.txt
	obj/test/exhaustive2_test |grep -v '^PASS$$' >>re2-exhaustive.txt
	obj/test/exhaustive3_test |grep -v '^PASS$$' >>re2-exhaustive.txt

	$(MAKE) CXXFLAGS="$(CXXFLAGS) -DLOGGING=1" obj/test/search_test
	echo '#' RE2 basic search tests built by make $@ >re2-search.txt
	echo '#' $$(date) >>re2-search.txt
	obj/test/search_test |grep -v '^PASS$$' >>re2-search.txt

x: x.cc obj/libre2.a
	g++ -I. -o x x.cc obj/libre2.a

=== debian/changelog ===
re2 (20170101+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Jan 2017 07:43:51 +1100

re2 (20161101+dfsg-2) unstable; urgency=medium

  * Missed a 32-bit symbol change (an int -> size_t).
  * Drop valgrind Build-Dep, upstream now uses MSan.
  * Upstream changed their hash function, drop mention of hash.cc in
    copyright.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Nov 2016 23:59:43 +0000

re2 (20161101+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Another upstream ABI break, which we can roll into our -3 ABI.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Nov 2016 19:02:52 +0000

re2 (20160801+dfsg-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * SONAME bump, upstream removed some symbols.
  * Avoid GCC 6 regression in flexible array members.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Aug 2016 13:17:10 -0700

=== debian/control ===
Source: re2
Section: libs
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16~),
 g++ (>= 4:5),
 python,
 unicode-data
Standards-Version: 3.9.8
Homepage: https://github.com/google/re2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/re2.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/re2.git

Package: libre2-3
Architecture: any
Multi-Arch: same
Breaks: libre2-dev (<< 20131024+dfsg-1~)
Replaces: libre2-dev (<< 20131024+dfsg-1~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${Built-Using}
Description: efficient, principled regular expression library
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python. It is a C++
 library.
 .
 RE2 uses automata theory to guarantee that regular expression searches run in
 time linear in the size of the input. RE2 implements memory limits, so that
 searches can be constrained to a fixed amount of memory. RE2 is engineered to
 use a small fixed C++ stack footprint no matter what inputs or regular
 expressions it must process; thus RE2 is useful in multithreaded environments
 where thread stacks cannot grow arbitrarily large.
 .
 On large inputs, RE2 is often much faster than backtracking engines; its use
 of automata theory lets it apply optimizations that the others cannot.

Package: libre2-dev
Section: libdevel
Architecture: any
Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
Depends: libre2-3 (= ${binary:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: efficient, principled regular expression library, development kit
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python. It is a C++
 library.
 .
 RE2 uses automata theory to guarantee that regular expression searches run in
 time linear in the size of the input. RE2 implements memory limits, so that
 searches can be constrained to a fixed amount of memory. RE2 is engineered to
 use a small fixed C++ stack footprint no matter what inputs or regular
 expressions it must process; thus RE2 is useful in multithreaded environments
 where thread stacks cannot grow arbitrarily large.
 .
 On large inputs, RE2 is often much faster than backtracking engines; its use
 of automata theory lets it apply optimizations that the others cannot.
 .
 This package contains the static library and header files used in development.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall -std=c++11
export DEB_LDFLAGS_MAINT_APPEND=-pthread
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIB_PKG = libre2-3

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	                 CPPFLAGS="$(CPPFLAGS)" REBUILD_TABLES=1

override_dh_auto_test:
	dh_auto_test -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	                CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs --link-doc=$(LIB_PKG)

override_dh_strip:
	dh_strip --ddeb-migration='$(LIB_PKG)-dbg (<< 20151101+dfsg-2~)'

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using='$(shell dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data)'

VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')

get-packaged-orig-source:
	uscan --noconf --rename --download-current-version --compression=xz --destdir=.

## re2 20180201%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dpkg-dev (>= 1.16~),
  g++ (>= 4:5),
  python,
  unicode-data
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/google/re2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/re2.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/re2.git
+Vcs-Git: https://salsa.debian.org/debian/re2.git
+Vcs-Browser: https://salsa.debian.org/debian/re2
+Rules-Requires-Root: no
 
-Package: libre2-3
+Package: libre2-4
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
@@ -40,7 +41,7 @@
 Architecture: any
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-3 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-4 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular

## re2 20180201+dfsg

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 SOEXT=dylib
 SOEXTVER=$(SONAME).$(SOEXT)
 SOEXTVER00=$(SONAME).0.0.$(SOEXT)
-MAKE_SHARED_LIBRARY=$(CXX) -dynamiclib -Wl,-install_name,@rpath/libre2.$(SOEXTVER),-exported_symbols_list,libre2.symbols.darwin $(RE2_LDFLAGS) $(LDFLAGS)
+MAKE_SHARED_LIBRARY=$(CXX) -dynamiclib -Wl,-install_name,$(libdir)/libre2.$(SOEXTVER),-exported_symbols_list,libre2.symbols.darwin $(RE2_LDFLAGS) $(LDFLAGS)
 else ifeq ($(shell uname),SunOS)
 SOEXT=so
 SOEXTVER=$(SOEXT).$(SONAME)

=== debian/changelog ===
re2 (20180201+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 23 Feb 2018 10:44:39 +0100

re2 (20180201+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * Bump debhelper compat level to 11.
    - Should now pass dpkg-builflags, itself.
    - Uses --parallel by default.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Migrate VCS hosting to salsa.debian.org.
  * Bump soname - a symbol was removed.
    - Upload to experimental for the transition.
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Feb 2018 10:56:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,21 +2,16 @@
 
 export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall -std=c++11
 export DEB_LDFLAGS_MAINT_APPEND=-pthread
-CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-3
+LIB_PKG = libre2-4
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	                 CPPFLAGS="$(CPPFLAGS)" REBUILD_TABLES=1
-
-override_dh_auto_test:
-	dh_auto_test -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	                CPPFLAGS="$(CPPFLAGS)"
+	dh_auto_build -- REBUILD_TABLES=1
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,uversionmangle=s/-//g,compression=xz \
https://github.com/google/re2/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|re2(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## re2 20180701+dfsg

=== debian/changelog ===
re2 (20180701+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.1.5, no changes needed.
  * Add a new symbol.
  * Add risc64 to the long_size_t symbols, thanks Manuel A. Fernandez
    Montecelo (Closes: #897256)
  * Ship the .pc file, thanks Emanuele Rocca. (Closes: #900638)
  * Remove --ddeb-migration, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Jul 2018 19:27:36 +0800

re2 (20180301+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 Mar 2018 12:42:20 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  g++ (>= 4:5),
  python,
  unicode-data
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,5 @@
 override_dh_installdocs:
 	dh_installdocs --link-doc=$(LIB_PKG)
 
-override_dh_strip:
-	dh_strip --ddeb-migration='$(LIB_PKG)-dbg (<< 20151101+dfsg-2~)'
-
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using='$(shell dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data)'
-
-VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
-
-get-packaged-orig-source:
-	uscan --noconf --rename --download-current-version --compression=xz --destdir=.

## re2 20190101%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-4
+LIB_PKG = libre2-5
 
 %:
 	dh $@

## re2 20190101+dfsg

=== debian/changelog ===
re2 (20190101+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 07 Jan 2019 19:16:34 +0200

re2 (20190101+dfsg-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Update symbols.
  * Bump soname - a symbol was removed.
    - Upload to experimental for the transition.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Mark libre2-dev Multi-Arch: same.
  * Declare Build-Depends-Package in the symbols file.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Jan 2019 08:44:36 +0000

re2 (20180901+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Sep 2018 17:26:27 +0300

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  g++ (>= 4:5),
  python,
  unicode-data
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
 Rules-Requires-Root: no
 
-Package: libre2-4
+Package: libre2-5
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
@@ -39,9 +39,10 @@
 Package: libre2-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-4 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-5 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular

## re2 20190801+dfsg

=== debian/changelog ===
re2 (20190801+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Bump debhelper compat to 11, and use B-D syntax.
  * Add Build-Dep on python3-six, for building unicode tables.
  * Patch: Build unicode tables with python3.
  * Tidy up patch names.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 08 Aug 2019 13:16:01 -0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16~),
  g++ (>= 4:5),
- python,
+ python3,
+ python3-six,
  unicode-data
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2

## re2 20200101+dfsg

=== Makefile ===
--- 
+++ 
@@ -80,23 +80,25 @@
 	util/benchmark.h\
 	util/flags.h\
 	util/logging.h\
+	util/malloc_counter.h\
 	util/mix.h\
 	util/mutex.h\
 	util/pcre.h\
-	util/sparse_array.h\
-	util/sparse_set.h\
 	util/strutil.h\
 	util/test.h\
 	util/utf.h\
 	util/util.h\
 	re2/bitmap256.h\
 	re2/filtered_re2.h\
+	re2/pod_array.h\
 	re2/prefilter.h\
 	re2/prefilter_tree.h\
 	re2/prog.h\
 	re2/re2.h\
 	re2/regexp.h\
 	re2/set.h\
+	re2/sparse_array.h\
+	re2/sparse_set.h\
 	re2/stringpiece.h\
 	re2/testing/exhaustive_tester.h\
 	re2/testing/regexp_generator.h\
@@ -212,9 +214,10 @@
 	@mkdir -p obj/so/test
 	$(CXX) -o $@ obj/re2/testing/$*.o $(TESTOFILES) obj/util/test.o -Lobj/so -lre2 obj/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)
 
+# Filter out dump.o because testing::TempDir() isn't available for it.
 obj/test/regexp_benchmark: obj/libre2.a obj/re2/testing/regexp_benchmark.o $(TESTOFILES) obj/util/benchmark.o
 	@mkdir -p obj/test
-	$(CXX) -o $@ obj/re2/testing/regexp_benchmark.o $(TESTOFILES) obj/util/benchmark.o obj/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)
+	$(CXX) -o $@ obj/re2/testing/regexp_benchmark.o $(filter-out obj/re2/testing/dump.o, $(TESTOFILES)) obj/util/benchmark.o obj/libre2.a $(RE2_LDFLAGS) $(LDFLAGS)
 
 # re2_fuzzer is a target for fuzzers like libFuzzer and AFL. This fake fuzzing
 # is simply a way to check that the target builds and then to run it against a
@@ -246,22 +249,13 @@
 test: $(DTESTS) $(TESTS) $(STESTS) debug-test static-test shared-test
 
 debug-test: $(DTESTS)
-	@echo
-	@echo Running debug binary tests.
-	@echo
 	@./runtests $(DTESTS)
 
 static-test: $(TESTS)
-	@echo
-	@echo Running static binary tests.
-	@echo
 	@./runtests $(TESTS)
 
 shared-test: $(STESTS)
-	@echo
-	@echo Running dynamic binary tests.
-	@echo
-	@LD_LIBRARY_PATH=obj/so:$(LD_LIBRARY_PATH) ./runtests $(STESTS)
+	@./runtests -shared-library-path obj/so $(STESTS)
 
 debug-bigtest: $(DTESTS) $(DBIGTESTS)
 	@./runtests $(DTESTS) $(DBIGTESTS)
@@ -270,7 +264,7 @@
 	@./runtests $(TESTS) $(BIGTESTS)
 
 shared-bigtest: $(STESTS) $(SBIGTESTS)
-	@LD_LIBRARY_PATH=obj/so:$(LD_LIBRARY_PATH) ./runtests $(STESTS) $(SBIGTESTS)
+	@./runtests -shared-library-path obj/so $(STESTS) $(SBIGTESTS)
 
 benchmark: obj/test/regexp_benchmark
 
@@ -284,10 +278,8 @@
 	ln -sf libre2.$(SOEXTVER00) $(DESTDIR)$(libdir)/libre2.$(SOEXTVER)
 	ln -sf libre2.$(SOEXTVER00) $(DESTDIR)$(libdir)/libre2.$(SOEXT)
 	$(INSTALL_DATA) re2.pc $(DESTDIR)$(libdir)/pkgconfig/re2.pc
-	$(SED_INPLACE) -e "s#@prefix@#${prefix}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
-	$(SED_INPLACE) -e "s#@exec_prefix@#${exec_prefix}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
-	$(SED_INPLACE) -e "s#@includedir@#${includedir}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
-	$(SED_INPLACE) -e "s#@libdir@#${libdir}#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
+	$(SED_INPLACE) -e "s#@includedir@#$(includedir)#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
+	$(SED_INPLACE) -e "s#@libdir@#$(libdir)#" $(DESTDIR)$(libdir)/pkgconfig/re2.pc
 
 testinstall: static-testinstall shared-testinstall
 	@echo
@@ -314,7 +306,11 @@
 	@mkdir -p obj
 	@cp testinstall.cc obj
 	(cd obj && $(CXX) testinstall.cc -o testinstall $(CXXFLAGS) $(LDFLAGS))
-	LD_LIBRARY_PATH=$(DESTDIR)$(libdir) obj/testinstall
+ifeq ($(shell uname),Darwin)
+	DYLD_LIBRARY_PATH="$(DESTDIR)$(libdir):$(DYLD_LIBRARY_PATH)" obj/testinstall
+else
+	LD_LIBRARY_PATH="$(DESTDIR)$(libdir):$(LD_LIBRARY_PATH)" obj/testinstall
+endif
 
 benchlog: obj/test/regexp_benchmark
 	(echo '==BENCHMARK==' `hostname` `date`; \

=== debian/changelog ===
re2 (20200101+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Mar 2020 17:11:54 -0800

re2 (20200101+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 02 Jan 2020 14:18:11 +0200

re2 (20191201+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2019 09:05:45 +0200

re2 (20191101+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Nov 2019 11:27:26 -0700

re2 (20190901+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Sep 2019 17:58:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: re2
 Section: libs
 Priority: optional
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.16~),
@@ -9,7 +10,7 @@
  python3,
  python3-six,
  unicode-data
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2

## re2 20200801+dfsg

=== debian/changelog ===
re2 (20200801+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add new && constructor symbols that GCC 10 generates.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Aug 2020 20:48:22 -0700

re2 (20200706+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Jul 2020 17:20:44 -0700

re2 (20200706+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Upload to experimental, for the transition.
  * Bump SONAME to libre2-8, due to an enum renumbering.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Jul 2020 11:11:33 -0700

re2 (20200601+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch 32bit-test-memory.patch, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Jun 2020 09:18:24 -0700

re2 (20200501+dfsg-3) unstable; urgency=medium

  * Cherry-pick patch to fix FTBFS on 32bit archs. (Closes: #961236)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 May 2020 13:25:13 -0700

re2 (20200501+dfsg-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Upload to unstable.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 May 2020 11:35:34 -0700

re2 (20200501+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Upload to experimental, for the transition.
  * Bump SONAME to 7, due to a switch to std::vector in histogram functions.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 May 2020 15:23:59 -0700

re2 (20200401+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Apr 2020 22:56:44 -0700

re2 (20200303+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Mar 2020 07:50:14 -0700

re2 (20200303+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump SONAME to 6, following an upstream bump.
    - Drop soname.patch, upstream is now attempting ABI stability.
    - Upload to experimental for the transition.
  * Update copyright.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Mar 2020 21:14:18 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: re2
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.16~),
@@ -10,13 +9,13 @@
  python3,
  python3-six,
  unicode-data
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
 Rules-Requires-Root: no
 
-Package: libre2-5
+Package: libre2-8
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
@@ -44,7 +43,7 @@
 Multi-Arch: same
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-5 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-8 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-5
+LIB_PKG = libre2-8
 
 %:
 	dh $@
